import { defineComponent as n, openBlock as c, createBlock as p, resolveDynamicComponent as i, normalizeStyle as u, unref as s, normalizeClass as m, withCtx as d, renderSlot as f } from "vue";
import { useTheme as y } from "../../composables/useTheme.js";
const C = {
  tag: {
    type: String,
    default: "div"
  }
}, S = {
  name: "XCarouselSlide"
}, k = /* @__PURE__ */ n({
  ...S,
  props: C,
  setup(l) {
    const t = l, { styles: o, classes: a, className: r } = y("CarouselSlide", {}, t);
    return (e, _) => (c(), p(i(e.tag), {
      style: u(s(o)),
      class: m([
        s(r),
        e.$style["carousel-slide"],
        s(a).wrapper
      ])
    }, {
      default: d(() => [
        f(e.$slots, "default")
      ]),
      _: 3
    }, 8, ["style", "class"]));
  }
});
export {
  k as default
};
